\name{rree.generator}
\alias{rree.generator}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Generate Dataset.
}
\description{
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
This function generates dataset with outliers.  The target distribution is positive harmonic distribution or log normal distribution, and the contaminated distribution is log normal distribution.
}
\usage{
rree.generator (n = 100, p = 20, type="rgig", seed=0, beta.true, x.sigma, x, 
                sd.lnorm=1, outlier.ratio=0.1, outlier.par=c(2.5,0.1))
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{n}{
The number of observations.
}
  \item{p}{
The number of variables.
}
  \item{type}{
Either "rgig" or "lnorm". "rgig" corresponds to the positive harmonic distribution, which is a density function for LPRE loss function.  "lnorm" is the log-normal distribution.
}
  \item{seed}{
Seed for generating the random number.
}
  \item{beta.true}{
True value fo beta. If missing, \code{beta.true = rep(1/(p + 1), p + 1)}.
}
  \item{x.sigma}{
Covariance matrix of design matrix. If missing, the covariance structure is AR(1) with AR parameter 0.7.  
}
  \item{x}{
Design matrix.  If missing, \code{x = mvrnorm(n, mu = rep(0, p), Sigma = x.sigma)}.
}
  \item{sd.lnorm}{
Only used when target = "lnorm". Standard deviation of log normal distribution for target distribution (\code{sdlog} in \code{rlnorm}).
}
  \item{outlier.ratio}{
Outlier ratio.
}
  \item{outlier.par}{
Parameter vector for log-normal distribution for contamination of \code{meanlog} and \code{sdlog} in \code{rlnorm}.
}
}
\value{
\item{x}{Matrix of predictors.}
\item{y}{Vector of responses.}
\item{beta}{coefficient vector.}
\item{x.sigma}{Covariance matrix of design matrix.}
\item{n.true}{The number of observations drawn from target distribution.}
\item{n.cont}{The number of observations drawn from contaminated distribution.}
}
\references{
Hirose, K. and Masuda, H. (2018). 
Robust relative error estimation. \emph{manuscript}.
}
\author{
Kei Hirose\cr
\email{mail@keihirose.com}
}
%\note{
%%  ~~further notes~~
%}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{\code{rree} object.}

\examples{
#generate data
dat <- rree.generator(n=50, p=5, outlier.ratio=0.1) #about last 10% data values are outliers

}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
